RecursiveFilterIterator::getChildren
RecursiveIteratorIterator
RecursiveFilterIterator
PHP Manual

# RecursiveFilterIterator::hasChildren

(PHP 5 >= 5.1.0)

RecursiveFilterIterator::hasChildren — Check whether the inner iterator's current element has children

### Description

public void RecursiveFilterIterator::hasChildren ( void )

Check whether the inner iterator's current element has children.

### Parameters

This function has no parameters.

### Return Values

`TRUE` if the inner iterator has children, otherwise `FALSE`

### See Also

- RecursiveFilterIterator::getChildren - Return the inner iterator's children contained in a RecursiveFilterIterator
- RecursiveIterator::hasChildren - Returns if an iterator can be created fot the current entry.

RecursiveFilterIterator::getChildren
RecursiveIteratorIterator
RecursiveFilterIterator
PHP Manual